# $Revision: 1.24 $, $Date: 2008/10/10 16:56:21 $
%include	/usr/lib/rpm/macros.php
%define		_class		File
%define		_subclass	PDF
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - PDF generation using only PHP
Summary(pl.UTF-8):	%{_pearname} - generowanie PDF za pomocą samego PHP
Name:		php-pear-%{_pearname}
Version:	0.3.2
Release:	1
Epoch:		0
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	e87fd0aba7077e24afc4e10347830137
URL:		http://pear.php.net/package/File_PDF/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(HTTP/Download.*)'

%description
This package provides PDF generation using only PHP, without requiring
any external libraries.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa umożliwia generowanie dokumentów PDF za pomocą samego PHP, bez
konieczności posiadania zewnętrznych bibliotek.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{epoch}:%{version}-%{release}
AutoReq:	no
AutoProv:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_PDF.spec,v $
Revision 1.24  2008/10/10 16:56:21  baggins
- up to 0.3.2

Revision 1.23  2008-01-31 12:16:06  glen
- rel 2

Revision 1.22  2007-11-11 14:59:57  adamg
- updated to 0.3.1

Revision 1.21  2007-09-15 07:36:30  adamg
- updated to 0.3.0

Revision 1.20  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.18  2006/09/02 18:25:06  adamg
- updated to 0.1.0

Revision 1.17  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.16  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.15  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.14  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.13  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.12  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.11  2005/10/27 18:36:32  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.10  2005/10/05 18:31:31  glen
- rel 2

Revision 1.9  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.8  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.7  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.6  2005/09/20 21:57:25  glen
- new pear packaging

Revision 1.5  2005/05/08 16:28:56  adamg
- updated to 0.0.2

Revision 1.4  2004/12/03 22:06:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.3  2004/10/31 22:22:38  paladine
- spaces->tabs
- formatting

Revision 1.2  2004/06/05 20:36:02  adamg
- fixed URL

Revision 1.1  2004/06/05 20:16:44  adamg
- new

